DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FeatureConvHullFunction

Measurement feature #measure function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_FeatureConvHullFunction) ( measurement, featureID, objectID, convhull, iterations )

## FUNCTION

The `convhull` measure function is meant for 2-D measurement functions that only require information on the convex hull of the object, such as `FeatureFeret`. The `convhull` function is called for each object seperately, with the convex hull of that object stored in `convhull`.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_int` | `objectID` | ID of the object to be measured
`dip_Polygon` | `convhull` | Polygon data structure representing the object's convex hull
`dip_int` | `iterations` | Number of iterations the `measure` function needs to scan the data

## SEE ALSO

`MeasurementFeatureRegister`, `FeatureLineFunction`, `FeatureImageFunction`, `FeatureChainCodeFunction`, `FeatureCompositeFunction`, `FeatureCreateFunction`